%define anolis_release 1

%bcond_with tests

Name:           python-more-itertools
Version:        9.1.1
Release:        %{anolis_release}%{dist}

Summary:        More routines for operating on Python iterables, beyond itertools
License:        MIT
URL:            https://github.com/erikrose/more-itertools
Source0:        https://github.com/more-itertools/more-itertools/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pip
BuildRequires:  python3dist(flit-core)
BuildRequires:  python3dist(tomli)

%global _description %{expand:
Python's itertools library is a gem - you can compose elegant solutions for
a variety of problems with the functions it provides. In more-itertools we
collect additional building blocks, recipes, and routines for working with
Python iterables.'}

%description %_description

%package -n python3-more-itertools
Summary:        %{summary}

%description -n python3-more-itertools %_description

%package -n python3-more-itertools-doc
Summary:        Documentation files for python3-more-itertools
Requires:       python3-more-itertools = %{EVR}
BuildArch:      noarch

%description -n python3-more-itertools-doc
The python3-more-itertools-doc package contains documentation files for python3-more-itertools.

%prep
%autosetup -p1 -n more-itertools-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files more_itertools

%if %{with tests}
%check
%tox
%endif

%files -n python3-more-itertools -f %pyproject_files

%files -n python3-more-itertools-doc
%doc README.rst

%changelog
* Wed Mar 29 2023 yuanhui <yuanhui@linux.alibaba.com> - 9.1.1-1
- Init package from upstream
